// http://ionicframework.com/docs/theming/
@import '~@ionic/angular/css/core.css';
@import '~@ionic/angular/css/normalize.css';
@import '~@ionic/angular/css/structure.css';
@import '~@ionic/angular/css/typography.css';
@import '~@ionic/angular/css/padding.css';
@import '~@ionic/angular/css/float-elements.css';
@import '~@ionic/angular/css/text-alignment.css';
@import '~@ionic/angular/css/text-transformation.css';
@import '~@ionic/angular/css/flex-utils.css';
@import '~animate.css/animate.min.css';
ion-item {
    --ion-item-background: transparent;
}

.custom-modal-css .modal-wrapper {
    height: 50%;
    top: 50%;
    position: absolute;
    display: block;
}

hr {
    border: 1px solid rgb(255, 255, 255) !important;
    height: 1px !important;
    width: 100% !important;
    background: rgb(255, 255, 255) !important;
    display: block !important;
    font-size: 2em !important;
    opacity: 1 !important;
    visibility: visible !important;
    margin-top: 0px !important;
    margin-bottom: 2% !important;
}

ion-app {
    .scroll-content {
        // prevent scrollbars from showing up in desktop browsers
        // in the side-menu and in the main content window
        overflow-y: auto;
    }
}

// backgrounds //
.bg-white {
    background-color: #fff;
}

.bg-light {
    background-color: var(--ion-color-light);
}

.bg-dark {
    background-color: var(--ion-color-dark);
}

.bg-primary {
    background-color: var(--ion-color-primary);
}

.bg-primary {
    background-color: var(--ion-color-primary);
}

.bg-tertiary {
    background-color: var(--ion-color-tertiary);
}

.bg-profile {
    background-image: linear-gradient( #FBB336, #FAEC1E);
}

.bg-main {
    background-image: linear-gradient(-135deg, var(--ion-color-medium), var(--ion-color-light))
}

// Helpers //
.w100 {
    width: 100%;
}

.bold,
.fw500 {
    font-weight: 500 !important;
}

.fw700 {
    font-weight: 700 !important;
}

.text08 {
    font-size: .8rem;
}

.text1 {
    font-size: 1rem !important;
}

.text12 {
    font-size: 1.2rem;
}

.text15 {
    font-size: 1.5rem;
}

.text20 {
    font-size: 2rem;
}

.text-white {
    color: #fff;
}

.text-primary {
    color: var(--ion-color-primary);
}

.text-primary {
    color: var(--ion-color-primary);
}

.text-dark {
    color: var(--ion-color-dark);
}

// menu //
// Menu user profile
ion-toolbar.user-profile {
    .user-avatar {
        width: 68px;
        height: 68px;
    }
    .item-inner {
        border-width: 0;
    }
}

// Custom toolbar (overriding Shadow DOM)
ion-toolbar {
    &.ion-color-primary {
        --ion-color-base: linear-gradient(135deg, var(--ion-color-dark), var(--ion-color-primary)) !important;
    }
}

// Android card shadow
ion-card {
    &.sc-ion-card-md-h {
        box-shadow: 0 2px 4px rgba(var(--ion-color-dark-rgb), .24);
    }
}

// style for auth pages
.auth-page {
    background-image: linear-gradient(135deg, var(--ion-color-dark), var(--ion-color-primary));
    .grid {
        padding: 0;
        .col {
            padding: 0;
        }
    }
    .btn-group {
        .button-ios,
        .button-md {
            border-radius: 0;
            &:first-of-type {
                border-radius: 2px 0 0 2px;
            }
            &:last-of-type {
                border-radius: 0 2px 2px 0;
            }
        }
    }
    .auth-content {
        margin: 0 5%;
        .list-form {
            padding: 0;
            margin-bottom: 0;
            ion-item {
                background: none;
                padding: 0;
                &:first-child {
                    border-top: none;
                }
                &:after {
                    display: none;
                }
                ion-label {
                    font-size: 1em;
                    color: var(--ion-color-light);
                }
                input {
                    color: var(--ion-color-light);
                }
            }
        }
    }
}

// Custom Menu styles (overriding Shadow DOM)
ion-menu {
    ion-header {
        ion-toolbar {
            &.ion-color-dark {
                --ion-color-base: linear-gradient(135deg, var(--ion-color-dark), var(--ion-color-primary)) !important;
            }
        }
    }
}

ion-back-button {
    width: 15px;
    height: 100%;
    position: fixed;
    margin-top: -5px;
}

.mto {
    margin-top: 12px;
    ion-icon {
        margin-bottom: -2px;
    }
}

.swiper-pagination-bullet-active {
    background: rgb(255, 255, 255) !important;
    margin-left: 0px !important;
    bottom: 200px !important;
}

.swiper-pagination-bullets {
    width: 25%;
    bottom: 10px !important;
    margin-left: 0px !important;
}

.rowSimulation {
    .texte {
        font-size: 4vw;
    }
}

.background {
    .titre {
        .titre {
            font-size: 6vw;
        }
    }
}

.swiper-container-horizontal>.swiper-pagination-bullets,
.swiper-pagination-custom,
.swiper-pagination-fraction {
    bottom: 10px;
    left: 0;
    width: 40%;
}

//Decalage à gauche du menu
#fab-menu {
    margin-left: -3.2vh;
}

ion-content.largeEcran {
    .alertCssDescription {
        font-size: 36px;
    }
    //Ajout de la classe .back pour deplacer un peu vers le haut les boutton retour
}

.back {
    transform: translateY(-10px);
}

.modal-css .modal-wrapper {
    height: 50%;
    top: 25%;
    position: absolute;
    display: block;
}

//fil ariane
//fin fil arriane
ion-slides {
    .swiper-pagination {
        --bullet-background: white;
        --bullet-background-active: white;
        position: absolute;
        bottom: 60px !important;
        // left: -135px !important;
        z-index: 9;
        height: fit-content;
        .swiper-pagination-bullet {
            opacity: 1 !important;
            width: 10px;
            height: 10px;
            background-color: rgba(255, 255, 255, 0.6);
        }
        .swiper-pagination-bullet-active {
            opacity: 1 !important;
            width: 10px;
            height: 10px;
            background-color: rgba(255, 255, 255, 1);
            border: none;
        }
    }
}

.headerRow {
    border-style: double;
    border-color: var(--ion-color-primary);
    color: var(--ion-color-primary);
}

.headerRow1 {
    background-color: var(--ion-color-primary);
    color: white;
}

.bottomContainer {
    background-image: linear-gradient( #FBB336, #FAEC1E) !important;
    width: 100%;
    // height: 70px;
    // position: relative;
    // z-index: 2;
    // bottom: 0;
    // left: 0;
    // padding-top: 5px;
    // padding-bottom: 5px;
    .bottomBlock {
        display: flex;
        justify-content: space-between;
        .btnBlock {
            display: flex;
            text-transform: uppercase;
            --padding-start: 5px;
            --padding-end: 5px;
            color: #000091;
            ion-icon {
                color: #000091;
            }
            img {
                max-width: none;
                width: 35px;
                margin-left: 8px;
                margin-right: 8px;
            }
        }
    }
}

.grids {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
    margin-top: 20px;
    .block {
        width: 85px;
        height: 70px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        border: solid 1px #F15A24;
        padding: 5px;
        border-radius: 10px;
        margin-bottom: 10px;
        .image {
            height: 40px;
            img {
                max-width: none;
                height: 100%;
            }
        }
        p {
            text-align: center;
            color: #000091;
            margin-top: 5px;
            font-size: 10px;
        }
    }
}

.expandable {
    border-style: double;
    border-color: var(--ion-color-primary);
}

.expandableActif {
    // background-color : green ;
    border-style: double;
    border-color: green;
}

.detailsBouton {
    background-color: var(--ion-color-primary);
}

.heading {
    color: var(--ion-color-secondary);
    text-align: center;
    font-weight: 700;
    // margin-top: 30px;
}

// detailsMarketPlace
.cardCA {
    border-color: var(--ion-color-primary);
    margin-top: 2px;
}

.nombreCA {
    width: "100%";
    color: var(--ion-color-secondary);
    font-size: 11px;
}

.labelTitreDate {
    color: blue;
    font-size: 12px;
    text-overflow: ellipsis;
}

.labelDate {
    color: green;
}

.titreSection {
    color: red;
    font-style: bold;
    display: flex;
    justify-content: center;
    width: 100%;
    ;
}

// detailsMarketPlace fin